"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateEntryTemplate = generateEntryTemplate;
function generateEntryTemplate(mainFile, hashedClassName, wrapComponent) {
  return "\n    import React from 'react';\n    import ReactDOMServer from 'react-dom/server';\n    import Aphrodite from 'aphrodite';\n    const { StyleSheetServer } = Aphrodite;\n    const className = '" + hashedClassName + "';\n    " + wrapComponent.toString() + "\n    export default function render(props, renderizrId) {\n      return new Promise((res, rej) => {\n        try {\n          console.log('Starting to render " + mainFile + "');\n          const component = require('" + mainFile + "').default;\n          const factory = React.createFactory(component);\n          const data = StyleSheetServer.renderStatic(\n            () => ReactDOMServer.renderToString(factory(props))\n          );\n\n          const wrappedComponent = wrapComponent(className, props, renderizrId, data);\n\n          return res(wrappedComponent);\n        } catch (renderError) {\n          return rej(renderError.stack);\n        }\n      });\n    }\n  ";
}