'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateRendererConfig = generateRendererConfig;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _webpackNodeExternals = require('webpack-node-externals');

var _webpackNodeExternals2 = _interopRequireDefault(_webpackNodeExternals);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function generateRendererConfig(entry) {
  return {
    target: 'node',
    entry: [entry],
    output: {
      path: _path2.default.join(process.cwd(), '.renderizr'),
      filename: 'renderer.js',
      libraryTarget: 'commonjs'
    },
    externals: [(0, _webpackNodeExternals2.default)()],
    module: {
      loaders: [{
        test: /\.js?$/,
        loader: 'babel',
        query: {
          presets: ['react', 'es2015']
        }
      }]
    }
  };
}